// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnlibs.hpp"

// Draws an error message on screen and force closes the app after user input
template<typename... A>
void debugMessage(const char *fmt, A... args) {
  printf(fmt, args...);
  printf("\n");
}